> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-api/caf-api-pt-br/connect/transactions/services/shared-faceset.md).

# Faceset compartilhado

Comparação da foto enviada com a foto no banco de dados compartilhado de rostos da Certta.

**Seção**: `conjuntoCompartilhadoDeFaces`

**Arquivos obrigatórios:** `selfie ou imagem de documento contendo uma foto`

{% tabs %}
{% tab title="Esquema" %}

| Atributo                        | Tipo     | Descrição                                                                                                                                                 |
| ------------------------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| statusCode                      | String   | Código de status da resposta                                                                                                                              |
| data                            | Objeto   | Dados de retorno                                                                                                                                          |
| data.suspect                    | Booleano | Indicador geral de que uma face semelhante foi encontrada. Este valor considera a confirmação manual do campo verificado de cada correspondência de face. |
| data.faceMatches                | Array    | Matriz de imagens correspondentes à face de entrada                                                                                                       |
| data.faceMatches\[X].similarity | String   | Nível de similaridade nas imagens comparadas                                                                                                              |
| data.faceMatches\[X].verified   | Booleano | Indica que a correspondência foi confirmada manualmente por nossos operadores.                                                                            |
| {% endtab %}                    |          |                                                                                                                                                           |

{% tab title="Exemplo" %}

```json
{
  "conjuntoCompartilhadoDeFaces": {
    "statusCode": "01",
    "data": {
      "faceMatches": [
        {
          "similarity": "99.99998474121094",
          "verificado": true
        }
      ],
      "suspect": true
    }
  }
}
```

{% endtab %}

{% tab title="Regras de validação" %}

| Regra                                               | Descrição                                                                                                                       |
| --------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| banco\_de\_faces\_compartilhado\_nao\_contem\_rosto | A regra será inválida se a selfie enviada corresponder a uma das selfies cadastradas no Banco de Dados Compartilhado de Rostos. |
| {% endtab %}                                        |                                                                                                                                 |
| {% endtabs %}                                       |                                                                                                                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-api/caf-api-pt-br/connect/transactions/services/shared-faceset.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
